<section>
    <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    <div>
        <div class="title">
            <h1>Account and Statistics</h1>
            <hr>
        </div>
        <div class="container setup">
            <div gdAreas="setup total"
                 gdGap="32px"
                 gdRows="auto"
                 gdAreas.lt-sm="setup | total"
                 gdRows.lt-sm="auto auto">
                <div gdArea="setup">
                    <mat-card fxFlexFill>
                        <h1 class="card-title">Your PayPal Account</h1>
                        <mat-divider></mat-divider>
                        <mat-card-content class="card-content">
                            <div>
                                <form class="email-info" [formGroup]="form" (ngSubmit)="savePayPalEmail()">
                                    <p *ngIf="!payDetails">Please enter your PayPal email address:</p>
                                    <div *ngIf="payDetails">
                                        <div class="pay-info">
                                            <p>Email: <strong>{{payDetails?.paymentEmail}}</strong></p>
                                        </div>

                                    </div>
                                    <div *ngIf="changePayEmail">
                                        <mat-form-field appearance="outline">
                                            <mat-label>E-mail</mat-label>
                                            <input matInput
                                                   type="email"
                                                   formControlName="paymentEmail"
                                                   placeholder="name@email.com"
                                            />
                                            <mat-error *ngIf="form.invalid">Please enter a valid email address</mat-error>
                                        </mat-form-field>
                                    </div>
                                    <div fxLayout="row">
                                        <p *ngIf="changePayEmail" class="text-right">
                                            <button [disabled]="loading" type="button" (click)="changePayEmail = false"
                                                    class="btn btn-cancel btn-lg">Cancel
                                            </button>
                                        </p>
                                        <p *ngIf="!changePayEmail" class="text-right">
                                            <button [disabled]="loading" type="button" (click)="changePayEmail = true"
                                                    class="btn btn-change btn-lg">{{payDetails?.paymentEmail === null ? 'Add' : 'Change'}}
                                            </button>
                                        </p>
                                        <p *ngIf="changePayEmail" class="text-right">
                                            <button [disabled]="loading" type="submit" class="btn btn-change btn-lg">
                                                Save
                                            </button>
                                        </p>
                                    </div>

                                </form>
                            </div>


                        </mat-card-content>

                    </mat-card>
                </div>
                <div gdArea="total">
                    <mat-card fxFlexFill>
                        <h1 class="card-title">Total Earnings</h1>
                        <mat-divider></mat-divider>

                        <mat-card-content class="card-content">
                            <div gdAreas="total wimat-header-celldrawal"
                                 gdRows="auto">
                                <div gdArea="total" fxFlexFill>
                                    <p class="text-60 ">Total Earned</p>
                                    <h1><strong>$ {{total}}</strong></h1>
                                </div>
                                <div gdArea="wimat-header-celldrawal" fxFlexFill>
                                    <p *ngIf="payPalBalance" class="text-60 ">Total Withdrawals</p>
                                    <h1 *ngIf="payPalBalance"><strong>$ {{payPalBalance.totalPaid}}</strong></h1>
                                </div>
                            </div>
                            <div *ngIf="payPalBalance">
                                <mat-divider></mat-divider>
                                <div class="payout" gdAreas="balanceLabel balance"
                                     gdRows="auto">
                                    <div gdArea="balanceLabel" fxLayout="row" fxFlexFill>
                                        <h1 fxFlexAlign="start">Balance</h1>
                                    </div>

                                    <div gdArea="balance" fxLayout="row" fxFlexFill>
                                        <h1><strong>$ {{payPalBalance.grossAmount}}</strong></h1>
                                    </div>

                                </div>
                            </div>


                        </mat-card-content>
                    </mat-card>
                </div>
            </div>

            <div class="text-center" style="margin-top: 10px">
                <p>Booking details for upcoming events:</p>
                <hr>
                <div>
                    <p *ngIf="dataSource?.filteredData.length <= 0" class="no-room">You haven't created a room yet. You are missing out on the fun!
                        <br><br>
                        Browse <a routerLink="/my-rooms"><strong>My Rooms</strong></a> and create a room from there.</p>
                    <div [ngClass]="dataSource?.filteredData.length > 0? 'show' : 'hide'">
                        <div class="search-table" fxLayout="row">
                            <img src="./assets/images/search.svg" alt="search">
                            <input class="search" (keyup)="applyFilter($event)" placeholder="Type room name or price">
                        </div>
                        <mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
                            <!-- No Column -->
                            <ng-container matColumnDef="no">
                                <mat-header-cell class="text-black"  *matHeaderCellDef > No.</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="No."> {{dataSource.filteredData.indexOf(element) + 1}}.</mat-cell>
                            </ng-container>
                            <!-- Room Name Column -->
                            <ng-container matColumnDef="room">
                                <mat-header-cell class="text-black" *matHeaderCellDef mat-sort-header> Room Name</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="Room Name"> {{element.eventName}} </mat-cell>
                            </ng-container>
                            <!-- Room Name Column -->
                            <ng-container matColumnDef="eventDate">
                                <mat-header-cell class="text-black" *matHeaderCellDef mat-sort-header> Event Date</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="Event Date"> {{formatDate(element.eventDate)}} </mat-cell>
                            </ng-container>

                            <!-- Members Column -->
                            <ng-container matColumnDef="members">
                                <mat-header-cell class="text-black" *matHeaderCellDef>Members</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="Members"> {{element.subscribers.length}} </mat-cell>
                            </ng-container>

                            <!-- Max Members Column -->
                            <ng-container matColumnDef="maxMembers">
                                <mat-header-cell class="text-black" *matHeaderCellDef mat-sort-header> Max Members</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="Max Members"> {{element.maxNoPeople}} </mat-cell>
                            </ng-container>

                            <!-- Room Price Column -->
                            <ng-container matColumnDef="price">
                                <mat-header-cell class="text-black" *matHeaderCellDef mat-sort-header> Room Price ($)</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="Room Price ($)"> {{element.price}} </mat-cell>
                            </ng-container>

                            <!-- Total Paid Column -->
                            <ng-container matColumnDef="paid">
                                <mat-header-cell class="text-black"  *matHeaderCellDef>Total Paid ($)</mat-header-cell>
                                <mat-cell  *matCellDef="let element" data-label="Total Paid ($)"> {{element.subscribers.length * element.price}} </mat-cell>
                            </ng-container>

                            <!-- Balance Column -->
                            <ng-container matColumnDef="balance">
                                <mat-header-cell class="text-black"  *matHeaderCellDef> Balance ($)</mat-header-cell>
                                <mat-cell *matCellDef="let element" data-label="Balance ($)">{{element?.billing?.balance ? element?.billing?.balance : 0}} </mat-cell>
                            </ng-container>

                            <!-- Action Column -->
                            <ng-container matColumnDef="action">
                                <mat-header-cell class="text-black"  *matHeaderCellDef>Action</mat-header-cell>
                                <mat-cell *matCellDef="let element" data-label="Action">
                                    <div fxLayout="row">
                                        <button *ngIf="element?.billing?.balance > 0" class="btn btn-change btn-sm room-cashout"
                                                [disabled]="loading"
                                                (click)="showCashOutDialog(element)">CashOut
                                        </button>
                                    </div>

                                </mat-cell>
                            </ng-container>

                            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                        </mat-table>
                        <mat-paginator [pageSizeOptions]="[5, 10, 20,50,100]" [pageSize]="20"  ></mat-paginator>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>

<section *ngIf="currentUser == null">
    <div class="title">
        <h1>Please <a (click)="showLoginDialog()"><strong>Log In</strong></a></h1>
    </div>
</section>
